View Issue Details

IDProjectCategoryView StatusLast Update
0003994SymmetricDSBugpublic2019-06-25 14:06
ReporterjaredfreesAssigned Tojaredfrees 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.2 
Target Version3.10.3Fixed in Version3.10.3 
Summary0003994: DbExport CSV file should escape quote characters with double quotes
DescriptionThe current csv file format standard says to escape a quote character in a string use double quotes ("") not backslash quote (\"). DbExport currently uses \"
RFC4180 standards: https://tools.ietf.org/html/rfc4180
Steps To ReproducePut value into a database with quotes in value like '"test"', then DbExport. Also if you use a value like '"test,with comma"', then the comma breaks the column into two separate columns because the output into the csv file is "\"test,with comma\"" but this does not actually break the quote so it is parsed incorrectly.
Tagsdbimport/dbexport

Activities

jaredfrees

2019-06-11 16:14

developer   ~0001522

This is only helpful for opening CSV files in Excel or similar software, so I am going to leave the CSV format how it is for SQL importing and exporting and add another format for CSV double quoting

Related Changesets

SymmetricDS: 3.10 9e85e2d3

2019-06-11 17:17:41

jfrees

Details Diff
0003994: DbExport CSV file should escape quote characters with double
quotes

0003994
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbExportCommand.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/CsvUtils.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DbExport.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DbImport.java Diff File
add - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/CsvDquoteDataReader.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/DbExportDialog.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/DbImportDialog.java Diff File

SymmetricDS: 3.10 63b397e7

2019-06-12 10:15:04

jfrees

Details Diff
0003994: DbExport CSV file should escape quote characters with double
quotes. Documentation

0003994
mod - symmetric-assemble/src/asciidoc/appendix/dbexport.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/dbimport.ad Diff File

Issue History

Date Modified Username Field Change
2019-06-11 12:14 jaredfrees New Issue
2019-06-11 12:14 jaredfrees Status new => assigned
2019-06-11 12:14 jaredfrees Assigned To => jaredfrees
2019-06-11 12:14 jaredfrees Tag Attached: dbimport/dbexport
2019-06-11 16:14 jaredfrees Note Added: 0001522
2019-06-11 16:15 jaredfrees Project SymmetricDS Pro => SymmetricDS
2019-06-11 18:00 jfrees Changeset attached => SymmetricDS 3.10 9e85e2d3
2019-06-12 10:15 jaredfrees Status assigned => resolved
2019-06-12 10:15 jaredfrees Resolution open => fixed
2019-06-12 10:15 jaredfrees Fixed in Version => 3.10.3
2019-06-12 11:00 jfrees Changeset attached => SymmetricDS 3.10 63b397e7
2019-06-25 14:06 admin Status resolved => closed